> For the complete documentation index, see [llms.txt](https://docs.appclay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appclay.com/product-configurator/translations.md).

# Translations

1.1 Navigate to admin panels Online Store -> Themes, click Action -> Edit Code

1.2 Open Templates -> templates/product.visualconstructor.liquid

```
<script>
  var visualTranslations = {
    'add_to_cart':"{{ 'visual_builder.add_to_cart' | t }}",
    'available_with':"{{ 'visual_builder.available_with' | t }}",
    'not_available_with':"{{ 'visual_builder.not_available_with' | t }}",
    'setup':"{{ 'visual_builder.setup' | t }}",           
    'items_selected':"{{ 'visual_builder.items_selected' | t }}",  
    'total':"{{ 'visual_builder.total' | t }}",  
    'tax_included':"{{ 'visual_builder.tax_included' | t }}",  
    'tax_not_included':"{{ 'visual_builder.tax_not_included' | t }}"
  };
</script>
```

1.3 Check if code above exists in product.visualconstructor.liquid, if yes then skip this step, if no copy code above and past it to product.visualconstructor.liquid as top line.&#x20;

1.4 Copy code below, and past it to locales/en.default.json, after first opened brackets.

```
"visual_builder":{
    "add_to_cart":"Add to cart",
    "available_with":"Available with",
    "not_available_with":"Not available with",
    "setup":"Setup",
    "items_selected":"items selected",
    "total":"Total",
    "tax_included":"Tax included.",
    "tax_not_included":"Tax not included."
  },
```

It should look like this:

```
{
  "visual_builder": {
    "add_to_cart": "Add to cart",
    "available_with": "Available with",
    "not_available_with": "Not available with",
    "setup": "Setup",
    "items_selected": "items selected",
    "total": "Total",
    "tax_included": "Tax included.",
    "tax_not_included": "Tax not included."
  },
  "general": {
  ..................
```

1.5 Navigate to admin panels Online Store -> Themes, click Action -> Edit languages  and edit Visual Builder tab.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appclay.com/product-configurator/translations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
